SearchByMediaCriteriaImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class SearchByMediaCriteriaImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.SearchCriteriaImpl
  - - tv.amwa.maj.union.impl.SearchByMediaCriteriaImpl

- All Implemented Interfaces:
    Serializable, Cloneable, SearchByMediaCriteria, SearchCriteria

      public class SearchByMediaCriteriaImpl
      extends SearchCriteriaImpl
      implements SearchByMediaCriteria, Serializable, Cloneable

  Implementation of a search criteria for matching packages defined by media criteria. This can be used to search for a version of media that is the best fidelity, smallest representation etc. as defined by a criteria type.

  See Also:
    `CriteriaType`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchByMediaCriteriaImpl(CriteriaType mediaCriteria)` Create a search criteria defined by the given media criteria type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchByMediaCriteriaImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `CriteriaType` | `getMediaCriteria()` Returns the media criteria search type.
    `int` | `hashCode()`
    `void` | `setMediaCriteria(CriteriaType mediaCriteria)` Sets the media criteria search type.
    `String` | `toString()` Create a pseudo-XML representation of this search by media criteria.

    - ### Methods inherited from class tv.amwa.maj.union.impl.SearchCriteriaImpl

      `getSearchTag`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.SearchCriteria

      `getSearchTag`

- - ### Constructor Detail

    - #### SearchByMediaCriteriaImpl

          public SearchByMediaCriteriaImpl(CriteriaType mediaCriteria)
                                    throws NullPointerException

      Create a search criteria defined by the given media criteria type.

      Parameters:
        `mediaCriteria` - Media criteria type to search for.
      Throws:
        `NullPointerException` - The given media criteria type is `null`.

  - ### Method Detail

    - #### getMediaCriteria

          public CriteriaType getMediaCriteria()

      Description copied from interface: `SearchByMediaCriteria`

      Returns the media criteria search type.

      Specified by:
        `getMediaCriteria` in interface `SearchByMediaCriteria`
      Returns:
        Media criteria search type.

    - #### setMediaCriteria

          public void setMediaCriteria(CriteriaType mediaCriteria)

      Description copied from interface: `SearchByMediaCriteria`

      Sets the media criteria search type.

      Specified by:
        `setMediaCriteria` in interface `SearchByMediaCriteria`
      Parameters:
        `mediaCriteria` - Media criteria search type.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Create a pseudo-XML representation of this search by media criteria. No XML schema or DTD defines this element. For example:

           <SearchByMediaCrit criteria="FastestRepresentation"/>

      Overrides:
        `toString` in class `Object`
      Returns:
        XML representation of this search by media criteria.

    - #### clone

          public SearchByMediaCriteriaImpl clone()
                                          throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.